robottestingframework::plugin::DllFixturePluginLoader Class Reference

The DllFixturePluginLoader loads an test case plug-in and gives the direct access to the TestCase. More...

`#include <robottestingframework/dll/DllFixturePluginLoader.h>`

## Public Member Functions

| DllFixturePluginLoader ()
| DllFixturePluginLoader constructor. More...
virtual | ~DllFixturePluginLoader ()
| DllFixturePluginLoader destructor. More...
FixtureManager * | open (const std::string filename)
| open Loads a test case plugin More...
void | close ()
| close Unloads the plugin and deletes any allocated memory. More...
std::string | getLastError ()
| getLastError gets the last error if any. More...

## Private Attributes

void * | implementation

## Detailed Description

The DllFixturePluginLoader loads an test case plug-in and gives the direct access to the TestCase.

Definition at line 36 of file DllFixturePluginLoader.h.

## Constructor & Destructor Documentation

## DllFixturePluginLoader()

robottestingframework::plugin::DllFixturePluginLoader::DllFixturePluginLoader | ( |  | ) |

DllFixturePluginLoader constructor.

## ~DllFixturePluginLoader()

virtual robottestingframework::plugin::DllFixturePluginLoader::~DllFixturePluginLoader | ( |  | ) |

virtual

DllFixturePluginLoader destructor.

## Member Function Documentation

## close()

void robottestingframework::plugin::DllFixturePluginLoader::close | ( |  | ) |

close Unloads the plugin and deletes any allocated memory.

## getLastError()

std::string robottestingframework::plugin::DllFixturePluginLoader::getLastError | ( |  | ) |

getLastError gets the last error if any.

Returns
  returns the last error string.

## open()

FixtureManager* robottestingframework::plugin::DllFixturePluginLoader::open | ( | const std::string | filename | ) |

open Loads a test case plugin

Parameters

  filename | the plugin filename

Returns
  A pointer to the test case loaded from the plugin or a null pointer in case of failure.

## Member Data Documentation

## implementation

void* robottestingframework::plugin::DllFixturePluginLoader::implementation

private

Definition at line 70 of file DllFixturePluginLoader.h.

The documentation for this class was generated from the following file:

- src/plugins/dll/include/robottestingframework/dll/DllFixturePluginLoader.h